Remove enum value
curl --request DELETE \
--url https://www.dench.com/api/v1/crm/objects/{objectName}/fields/{fieldName}/enum/{value} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.dench.com/api/v1/crm/objects/{objectName}/fields/{fieldName}/enum/{value}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.dench.com/api/v1/crm/objects/{objectName}/fields/{fieldName}/enum/{value}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text){
"ok": true,
"enumValues": [
"New",
"Working",
"Qualified"
],
"enumColors": [
"#94a3b8",
"#3b82f6",
"#22c55e"
],
"removed": true
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}crm
Remove enum value
Remove an enum value.
DELETE
/
crm
/
objects
/
{objectName}
/
fields
/
{fieldName}
/
enum
/
{value}
Remove enum value
curl --request DELETE \
--url https://www.dench.com/api/v1/crm/objects/{objectName}/fields/{fieldName}/enum/{value} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.dench.com/api/v1/crm/objects/{objectName}/fields/{fieldName}/enum/{value}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.dench.com/api/v1/crm/objects/{objectName}/fields/{fieldName}/enum/{value}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text){
"ok": true,
"enumValues": [
"New",
"Working",
"Qualified"
],
"enumColors": [
"#94a3b8",
"#3b82f6",
"#22c55e"
],
"removed": true
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"details": "<unknown>"
}
}Authorizations
DenchApiKeyAgentSession
Workspace-scoped Dench API key from workspace settings. This is the same key used by DENCH_API_KEY in sandboxes.